Delete Storage Credential

delhttps://app.mk.io/api/v1/projects/:project_name/media/storage/:storage_name/credentials/:credential_id

Removes a Storage Credential from the Storage instance. If the Storage Credential is in use and no alternative Storage Credentials are available, the Storage instance will be inaccessible.

RBAC Capability Required: infra.storagetoken.delete

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
storage_namestringRequired
credential_idstringRequiredformat: uuid

Response

204Storage Credential deleted

No response body.

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…